/** @(#) listpos/listnodepos.h */
/**
* Almacena al nodo de la lista dinamica.
* @author Omar Posada Villarreal
* @version 2.0, 10/12/2001 C++
* @version 1.0, 03/10/2001
*/
#ifndef LISTNODEPOS_H
#define LISTNODEPOS_H
//----------------------------------------------------------------------------
#include <iostream>
#include <string>
using namespace std;

/**
* Almacena al nodo de la lista dinamica.
* @author Omar Posada Villarreal
* @version 2.0, 10/12/2001 C++
* @version 1.0, 03/10/2001
*/
template <class TObj>
class ListNodePos {
	//friend class DynamicListPos<TObj>;
        // ???permite acceso a miembros private
public:
        ListNodePos(TObj element);
	ListNodePos(TObj element, ListNodePos *nextNode);
	// No usa. Destructor predeterminado
	TObj getItem();
	ListNodePos<TObj> *getNext();
	void setNext(ListNodePos<TObj> *theNext);

private:	/**
	* Contiene la informacion del nodo.
	* Friendly para poder ser accedido por "DynamicListPos".
	*/
	TObj	item;
	/**
	* Apunta al siguiente nodo.
	* Friendly para poder ser accedido por "DynamicListPos".
	*/
	ListNodePos<TObj>	*next;

};
//----------------------------------------------------------------------------
#endif
// Fin------------------------------------------------------------------------

